package dk.nsp.idsas.dao;

import dk.nsp.idsas.util.ErrorMessages;
import org.springframework.dao.EmptyResultDataAccessException;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;

import javax.sql.DataSource;
import java.util.HashMap;

public class SaltDao {
    private final NamedParameterJdbcTemplate jdbcTemplate;

    public SaltDao(DataSource dataSource) {
        jdbcTemplate = new NamedParameterJdbcTemplate(dataSource);
    }

    public String getLatestSalt() {
        String query = "SELECT salt FROM salt ORDER BY created_time DESC, id DESC LIMIT 1";
        try {
            return jdbcTemplate.queryForObject(query, new HashMap<>(), String.class);
        } catch (EmptyResultDataAccessException e) {
            throw new RuntimeException(ErrorMessages.noSaltError());
        }
    }

    public void insert(String salt) {
        String query = "INSERT INTO salt(salt) VALUES (:salt)";
        HashMap<String, String> parameters = new HashMap<>();
        parameters.put("salt", salt);

        jdbcTemplate.update(query, parameters);
    }
}
