package dk.nsp.idsas.util;

public class ErrorMessages {
    public static String cvrWhitelistError(String cvr, WhitelistType whitelistType) {
        return String.format("CVR '%s' er ikke whitelisted for type %s", cvr, whitelistType);
    }

    public static String clientKeyWhitelistError(String cvr, WhitelistType whitelistType) {
        return String.format("Client persistent unique key '%s' er ikke whitelisted for type %s", cvr, whitelistType);
    }

    public static String cvrDoesNotMapToSorError(String cvr) {
        return String.format("CVR '%s' mapper ikke til en SOR kode", cvr);
    }

    public static String cprIsNotValidError(String cpr) {
        return String.format("CPR '%s' er ikke tilknyttet en borger", cpr);
    }

    public static String invalidUserType() {
        return "Brugertypen kan ikke bestemmes ud fra den medsendte sikkerhedsbillet";
    }

    public static String userTypeAmbiguous() {
        return "Brugertypen kan ikke entydigt bestemmes ud fra den medsendte sikkerhedsbillet";
    }

    public static String userTypeNotSupported(String userType) {
        return String.format("Brugertypen '%s' er ikke understøttet", userType);
    }

    public static String clientSystemNameError(String givenName, String expectedName) {
        return String.format("Systembruger med clientName \"%s\" matcher ikke det forventede navn \"%s\"",
                givenName, expectedName);
    }

    public static String noSaltError() {
        return "Ingen salt var fundet.";
    }

    public static String maxExpiryDateExceeded() {
        return "Slutdatoen for en sløring må ikke liggere mere end to år fremme i tiden.";
    }
}
