package dk.nsp.idsas.integration.util;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;

import org.apache.http.HttpResponse;
import org.apache.http.StatusLine;
import org.apache.http.entity.BasicHttpEntity;
import org.apache.http.message.BasicHttpResponse;
import org.mockito.Mockito;

public class TestUtil {
    public static HttpResponse createHttpResponse(int statusCode, String contentType, String body) {
        StatusLine statusLine = Mockito.mock(StatusLine.class);
        Mockito.when(statusLine.getStatusCode()).thenReturn(statusCode);
        BasicHttpResponse httpResponse = new BasicHttpResponse(statusLine);
        BasicHttpEntity httpEntity = new BasicHttpEntity();
        httpEntity.setContent(inputStreamFromString(body));
        httpResponse.setEntity(httpEntity);
        httpResponse.setHeader("Content-Type", contentType);
        return httpResponse;
    }

    private static InputStream inputStreamFromString(String input) {
        return new ByteArrayInputStream(input.getBytes(StandardCharsets.UTF_8));
    }
}
